---
title: "GET /blueprintactiontypes/search - Blueprint Action Types · RUAL Documentation"
description: "Search blueprint action types (GET) with Elasticsearch query parameters"
canonical: https://docs.rual.nl/cluster/api/blueprint-action-types/blueprintactiontypes-search-get
language: en
---

# GET /blueprintactiontypes/search

Search blueprint action types (GET) with Elasticsearch query parameters

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **offset** optional | `integer` | `1` | Elasticsearch query offset parameter |
| **limit** optional | `integer` | `1` | Elasticsearch query limit parameter |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `*public` | No authentication required, public endpoint |
